--- old/usr/src/uts/common/smbsrv/smb2_kproto.h	2020-04-15 01:43:38.573539843 +0000
+++ new/usr/src/uts/common/smbsrv/smb2_kproto.h	2020-04-15 01:43:38.578520292 +0000
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2020 RackTop Systems, Inc.
  */
 
 #ifndef _SMB2_KPROTO_H_
@@ -63,6 +64,10 @@
 int smb2_sign_check_request(smb_request_t *);
 void smb2_sign_reply(smb_request_t *);
 void smb2_sign_init_mech(smb_session_t *);
+void smb31_preauth_init_mech(smb_session_t *);
+void smb31_preauth_fini(smb_session_t *s);
+int smb31_preauth_sha512_calc(smb_request_t *, struct mbuf_chain *,
+    uint8_t *);
 
 int smb3_encrypt_sr(smb_request_t *, struct mbuf_chain *, struct mbuf_chain *);
 int smb3_decrypt_sr(smb_request_t *);
